function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Cisco ASR 5000 Installation Guide","");
var B=A.fN("Cisco ASR 5000 Installation Guide","0");
var C=B.fN("Copyright","0#999735");
A=P.fN("About this Guide","1");
B=A.fN("Conventions Used","1#9000005");
B=A.fN("Supported Documents and Resources","1#9000069");
C=B.fN("Related Documentation","1#9000070");
C=B.fN("Obtaining Documentation","1#9000080");
B=A.fN("Contacting Customer Support","1#9000084");
A=P.fN("ASR 5000 Hardware Platform Overview","2");
B=A.fN("The ASR 5000 Platform","2#9000102");
B=A.fN("Chassis Configurations","2#9000112");
B=A.fN("Chassis Description","2#9000265");
C=B.fN("Slot Numbering","2#9000266");
var D=C.fN("Rear Slot Numbering for Half-Height Line Cards","2#9000333");
D=C.fN("Rear Slot Numbering with Full-height Line Cards","2#9000337");
C=B.fN("Mounting Options","2#9000340");
C=B.fN("Midplane Architecture","2#9000347");
D=C.fN("320 Gbps Switch Fabric","2#9000376");
D=C.fN("32 Gbps Control Bus","2#9000378");
D=C.fN("System Management Bus","2#9000380");
D=C.fN("280 Gbps Redundancy Bus","2#9000382");
D=C.fN("OC-48 TDM Bus","2#9000392");
D=C.fN("SPIO Cross-Connect Bus","2#9000394");
B=A.fN("Power Filter Units","2#9000397");
B=A.fN("Fan Tray Assemblies","2#9000426");
C=B.fN("Lower Fan Tray","2#9000429");
C=B.fN("Air Filter Assembly","2#9000433");
C=B.fN("Upper Fan Tray","2#9000438");
C=B.fN("Chassis Airflow","2#9000442");
B=A.fN("Application Cards","2#9000444");
C=B.fN("System Management Card (SMC)","2#9000446");
C=B.fN("SMC RAID Support","2#9000486");
C=B.fN("Packet Processing Cards: PSC, PSCA, PSC2, PSC3 and PPC","2#9000513");
D=C.fN("Packet Services Card (PSC)","2#9000549");
D=C.fN("Packet Services Card Type A (PSCA)","2#9000551");
D=C.fN("Packet Services Card 2 (PSC2)","2#9000554");
D=C.fN("Packet Services Card 3 (PSC3)","2#9000562");
D=C.fN("Packet Processor Card (PPC) Description","2#9000569");
B=A.fN("Line Cards","2#9000576");
C=B.fN("Switch Processor I/O (SPIO) Card","2#9000578");
D=C.fN("Management LAN Interfaces","2#9000612");
D=C.fN("Console Port","2#9000633");
D=C.fN("BITS Timing","2#9000636");
D=C.fN("Central Office Alarm Interface","2#9000638");
C=B.fN("Redundancy Crossbar Card (RCC)","2#9000641");
C=B.fN("Fast Ethernet Line Card (FELC or FLC2)","2#9000661");
C=B.fN("Gigabit Ethernet Line Card (GELC or GLC2)","2#9000688");
C=B.fN("Quad Gigabit Ethernet Line Card (QGLC)","2#9000744");
C=B.fN("10 Gigabit Ethernet Line Card (XGLC)","2#9000800");
C=B.fN("Optical Line Card (OLC2)","2#9000861");
C=B.fN("Channelized Line Card (CLC2)","2#9000926");
B=A.fN("Card Interlock Switch","2#9001016");
B=A.fN("Card Identifiers","2#9001022");
A=P.fN("Installation Procedure Overview","3");
B=A.fN("Chassis Components","3#9001194");
B=A.fN("Installation at a Glance","3#9001227");
B=A.fN("Required Tools and Equipment","3#9001240");
C=B.fN("Hand Tools","3#9001242");
C=B.fN("Equipment","3#9001250");
B=A.fN("Protecting Against Electro-static Discharge","3#9001259");
B=A.fN("Federal Communications Commission Warning","3#9001265");
C=B.fN("ICS Notice","3#9001271");
C=B.fN("Laser Notice","3#9001274");
A=P.fN("Chassis Installation","4");
B=A.fN("Equipment Rack Configuration","4#9001286");
C=B.fN("Ventilation Considerations","4#9001290");
C=B.fN("Mounting Options","4#9001305");
B=A.fN("Weight Considerations","4#9001309");
B=A.fN("Installing the Chassis","4#9001315");
C=B.fN("Reducing the Weight of the Chassis Prior to Installation","4#9001319");
C=B.fN("Flush Mount Installation of the Chassis","4#9001341");
C=B.fN("Mid-Mount Installation of the Chassis","4#9001348");
C=B.fN("Grounding the Chassis","4#9001360");
C=B.fN("Re-Installing Chassis Sub-components","4#9001391");
A=P.fN("Application Card Installation","5");
B=A.fN("Chassis Slot Numbering and Assignments","5#9001423");
C=B.fN("ASR 5000 Platform","5#9001428");
C=B.fN("Packet Processing Card Redundancy","5#9001452");
C=B.fN("Recommended Minimum Chassis Configuration","5#9001457");
B=A.fN("Installing Application Cards","5#9001489");
A=P.fN("Line Card Installation","6");
B=A.fN("Chassis Slot Numbering and Assignments","6#9001524");
B=A.fN("Line Card Redundancy","6#9001644");
C=B.fN("Side-by-side Redundancy for the XGLC","6#9001648");
D=C.fN("Requirement Summary","6#9001651");
D=C.fN("CLI Commands for XGLC Redundancy","6#9001662");
B=A.fN("Recommended Minimum Chassis Configuration","6#9001669");
B=A.fN("Installing Half-Height Line Cards","6#9001723");
B=A.fN("Installing the 10 Gigabit Ethernet Line Card (XGLC)","6#9001747");
C=B.fN("Installing the XGLC","6#9001753");
A=P.fN("Cabling the Switch Processor Input/Output Line Card","7");
B=A.fN("SPIO Interfaces","7#9001798");
C=B.fN("BNC BITS Interface Version","7#9001805");
C=B.fN("3-Pin BITS Interface Version","7#9001851");
B=A.fN("Connecting to the Management LAN","7#9001897");
C=B.fN("Using the SFP Interfaces","7#9001904");
C=B.fN("Using the RJ-45 Interfaces","7#9001931");
B=A.fN("Connecting to the Serial Console Port","7#9001980");
B=A.fN("Connecting to the CO Alarm Interface","7#9002082");
C=B.fN("Electrical Characteristics","7#9002202");
C=B.fN("Central Office Alarm Wiring Example","7#9002205");
A=P.fN("Cabling the Fast Ethernet (10/100) Line Card","8");
B=A.fN("FELC/FLC2 Interfaces","8#9002217");
A=P.fN("Cabling the Gigabit Ethernet Line Cards","9");
B=A.fN("Gigabit Ethernet Line Card (GELC/GLC2)","9#9002274");
B=A.fN("Quad Gigabit Ethernet Line Card (QGLC)","9#9002311");
B=A.fN("RJ45 SFP Module Detail","9#9002349");
B=A.fN("Cabling the Optical SFP Interface","9#9002388");
B=A.fN("10 Gigabit Ethernet Line Card (XGLC)","9#9002392");
B=A.fN("Cabling the Optical SFP+ Interface","9#9002430");
A=P.fN("Cabling the Optical (ATM) Line Cards","10");
B=A.fN("Optical (ATM) Line Card Interfaces","10#9002447");
B=A.fN("Cabling the Optical SFP Interface","10#9002484");
A=P.fN("Cabling the Channelized Line Cards","11");
B=A.fN("Channelized Line Card Interfaces","11#9002497");
B=A.fN("Cabling the Optical SFP Interface","11#9002533");
A=P.fN("Cabling the Power Filter Units","12");
B=A.fN("Power Considerations","12#9002546");
C=B.fN("Estimating Power Requirements","12#9002584");
C=B.fN("Power Cable Requirements","12#9002590");
B=A.fN("Connecting the PFU to the Power Source","12#9002635");
A=P.fN("Applying Power and Verifying the Installation","13");
B=A.fN("Understanding the System Boot Process","13#9002666");
B=A.fN("Applying Power to the Chassis","13#9002687");
B=A.fN("Verifying the Installation","13#9002700");
C=B.fN("Checking the LED on the PFU(s)","13#9002704");
C=B.fN("Checking the LEDs on the SMC(s)","13#9002737");
D=C.fN("SMC Run/Fail LED States","13#9002748");
D=C.fN("SMC Active LED States","13#9002779");
D=C.fN("SMC Standby LED States","13#9002804");
D=C.fN("SMC Status LED States","13#9002829");
D=C.fN("SMC Service LED States","13#9002850");
D=C.fN("SMC Busy LED States","13#9002868");
C=B.fN("Checking the LEDs on Packet Processing Cards","13#9002891");
D=C.fN("PSC, PSC2, PSC3 and PPC Run/Fail LED States","13#9002901");
D=C.fN("PSC, PSC2, PSC3 and PPC Active LED States","13#9002932");
D=C.fN("PSC, PSC2, PSC3 and PPC Card Standby LED States","13#9002957");
C=B.fN("Checking the LEDs on the SPIO(s)","13#9002983");
D=C.fN("SPIO Run/Fail LED States","13#9002995");
D=C.fN("SPIO Active LED States","13#9003023");
D=C.fN("SPIO Standby LED States","13#9003044");
D=C.fN("SPIO Interface Link LED States","13#9003066");
D=C.fN("SPIO Interface Activity LED States","13#9003087");
C=B.fN("Checking the LEDs on the Ethernet Line Cards","13#9003105");
D=C.fN("Ethernet Line Card Run/Fail LED States","13#9003119");
D=C.fN("Ethernet Line Card Active LED States","13#9003147");
D=C.fN("Ethernet Line Card Standby LED States","13#9003175");
D=C.fN("Ethernet Line Card Interface Link LED States","13#9003200");
D=C.fN("Ethernet Line Card Activity LED States","13#9003227");
C=B.fN("Checking the Card-Level LEDs on the Optical (ATM) Line Card","13#9003245");
D=C.fN("Optical (ATM) Line Card Run/Fail LED States","13#9003253");
D=C.fN("Optical ATM Line Card Active LED States","13#9003281");
D=C.fN("Standby LED States","13#9003309");
C=B.fN("Checking the Port Status LEDs on the Optical (ATM/POS OC-3) Line Card","13#9003334");
C=B.fN("Card-Level LEDs on the Channelized (STM-1/OC-3) Line Card","13#9003364");
D=C.fN("Channelized Line Card Run/Fail LED States","13#9003372");
D=C.fN("Channelized Line Card Active LED States","13#9003399");
D=C.fN("Channelized Line Card Standby LED States","13#9003427");
C=B.fN("Checking the Port Status LEDs on the Channelized Line Card 2","13#9003452");
C=B.fN("Checking the LEDs on the RCC(s)","13#9003482");
D=C.fN("RCC Run/Fail LED States","13#9003490");
D=C.fN("RCC Active LED States","13#9003517");
D=C.fN("RCC Standby LED States","13#9003538");
A=P.fN("System Monitoring","14");
B=A.fN("Monitoring","14#9003568");
C=B.fN("Daily - Standard Health Check","14#9003570");
C=B.fN("Periodic Status Checks","14#9003669");
B=A.fN("Counters and Bulkstats","14#9003710");
B=A.fN("Summary of Maintenance Tasks","14#9003724");
C=B.fN("Constant Attention","14#9003733");
C=B.fN("Daily","14#9003736");
C=B.fN("Weekly","14#9003739");
C=B.fN("Monthly","14#9003741");
C=B.fN("6 Months","14#9003743");
C=B.fN("No Specific Time Frame","14#9003745");
A=P.fN("Adding Application and Line Cards to an Existing Installation","15");
B=A.fN("Chassis Slot Numbering and Assignments","15#9003763");
B=A.fN("Adding Application Cards","15#9003772");
B=A.fN("Adding Half-Height Line Cards","15#9003801");
B=A.fN("Adding a 10 Gigabit Ethernet Line Card","15#9003846");
C=B.fN("Installing the XGLC","15#9003852");
A=P.fN("Removing/Installing SMC PC Cards","16");
B=A.fN("Installing PC Cards","16#9003895");
B=A.fN("Removing PC Cards","16#9003909");
A=P.fN("Replacing the Chassis Air Filter","17");
B=A.fN("Determining When an Air Filter Needs Replacing","17#9003940");
B=A.fN("Removing the Air Filter","17#9003974");
B=A.fN("Installing the Air Filter","17#9003985");
A=P.fN("Replacing the Power Filter Units","18");
B=A.fN("Determining that a PFU has Failed","18#9004011");
B=A.fN("Removing the Failed PFU","18#9004021");
B=A.fN("Installing the Replacement PFU","18#9004040");
B=A.fN("What to do with the Failed PFU","18#9004064");
A=P.fN("Replacing Upper or Lower Fan Tray","19");
B=A.fN("Determining Whether a Fan Tray Needs Replacing","19#9004086");
C=B.fN("Using the CLI","19#9004089");
C=B.fN("Using SNMP Traps and MIB Objects","19#9004095");
B=A.fN("Removing an Upper Fan Tray","19#9004133");
B=A.fN("Installing an Upper Fan Tray","19#9004148");
B=A.fN("Removing a Lower Fan Tray Assembly","19#9004155");
B=A.fN("Installing a Lower Fan Tray Assembly","19#9004170");
B=A.fN("What to do with the Failed Fan Tray","19#9004180");
A=P.fN("Replacing Application Cards","20");
B=A.fN("Determining Whether an Application Card has Failed","20#9004198");
C=B.fN("Using the CLI","20#9004201");
C=B.fN("Using SNMP Traps","20#9004240");
B=A.fN("Removing the Application Card","20#9004277");
B=A.fN("Installing the Application Card","20#9004290");
B=A.fN("Removing and Replacing the CompactFlash Memory Card on SMCs","20#9004302");
C=B.fN("Removing and Replacing the CompactFlash on an SMC","20#9004308");
B=A.fN("What to do with the Failed Application Card","20#9004319");
A=P.fN("Replacing Line Cards","21");
B=A.fN("Determining Whether a Line Card has Failed","21#9004336");
C=B.fN("Using the CLI","21#9004339");
C=B.fN("Using SNMP Traps","21#9004368");
B=A.fN("Removing the Line Card","21#9004390");
B=A.fN("Installing the Line Card","21#9004402");
B=A.fN("What to do with the Failed Line Card","21#9004436");
A=P.fN("Technical Specifications","22");
B=A.fN("Physical Dimensions","22#9004453");
B=A.fN("Weights","22#9004497");
B=A.fN("Power Specifications","22#9004570");
C=B.fN("Estimating Power Requirements","22#9004607");
B=A.fN("Mounting Requirements","22#9004613");
B=A.fN("Interface Specifications","22#9004620");
C=B.fN("SPIO Card Interfaces","22#9004623");
D=C.fN("Console Port Interface","22#9004625");
var E=D.fN("Console Cable Specifications","22#9004668");
D=C.fN("Fiber SFP Interface","22#9004767");
D=C.fN("10/100/1000 Mbps RJ-45 Interface","22#9004788");
D=C.fN("Central Office Alarm Interface","22#9004839");
E=D.fN("Electrical Characteristics","22#9004949");
E=D.fN("Central Office Alarm Wiring Example","22#9004951");
D=C.fN("BITS Timing Interface","22#9004956");
E=D.fN("BITS BNC Timing Interface","22#9004958");
E=D.fN("BITS 3-Pin Timing Interface","22#9004962");
C=B.fN("Fast Ethernet Line Card (FELC/FLC2) Interfaces","22#9004966");
D=C.fN("10/100 Mbps RJ-45 Interface","22#9004968");
C=B.fN("Gigabit Ethernet Line Card (GELC/GLC2)/Quad Gigabit Ethernet Line Card (QGLC) SFPs","22#9005010");
D=C.fN("QGLC/1000Base-SX","22#9005011");
D=C.fN("QGLC/1000Base-LX Interface","22#9005032");
D=C.fN("RJ-45 SFP Interface","22#9005053");
C=B.fN("10 Gigabit Ethernet Line Card (XGLC) SFP+","22#9005087");
D=C.fN("XGLC 10GBase-SR","22#9005088");
D=C.fN("XGLC 10 Base-LR Interface","22#9005109");
C=B.fN("Fiber ATM/POS OC-3 (OLC2) Multi-Mode Interface","22#9005130");
D=C.fN("Fiber ATM/POS OC-3 SM IR-1 Interface","22#9005131");
C=B.fN("Channelized Line Cards","22#9005172");
D=C.fN("Channelized Line Card (CLC2) with Single-mode Interface","22#9005173");
D=C.fN("Channelized Line Cards (CLC2) with Multi-Mode Interface","22#9005194");
A=P.fN("Safety, Electrical, and Environmental\u00a0Certifications","23");
B=A.fN("Federal Communications Commission Warning","23#9005227");
C=B.fN("ICS Notice","23#9005232");
C=B.fN("Laser Notice","23#9005235");
B=A.fN("Safety Certifications","23#9005237");
B=A.fN("Electrical Certifications","23#9005241");
B=A.fN("Environmental Certifications","23#9005250");
B=A.fN("Acoustic Noise","23#9005255");
B=A.fN("Electromagnetic Compatibility (EMC) Compliance","23#9005260");
C=B.fN("Japan VCCI-A","23#9005262");
C=B.fN("Korean EMC","23#9005265");
A=P.fN("Environmental Specifications","24");
B=A.fN("Operating and Storage Parameters","24#9005277");
B=A.fN("Supported Environmental Standards","24#9005305");
B=A.fN("Chassis Air Flow","24#9005317");
A=P.fN("RoHS Compliance Statement","25");
B=A.fN("Chassis","25#9005334");
B=A.fN("Fan Assembly","25#9005336");
B=A.fN("Power Filter Unit (PFU)","25#9005338");
B=A.fN("Full Product","25#9005340");
A=P.fN("RMA Shipping Procedures","26");
B=A.fN("RMA Overview","26#9005350");
C=B.fN("Re-packaging Your RMA","26#9005358");
C=B.fN("Shipping Multiple Components","26#9005362");
C=B.fN("Sealing the Shipment","26#9005366");
C=B.fN("Labeling the Shipment","26#9005369");
C=B.fN("Cisco Return Locations","26#9005374");
B=A.fN("Packaging ASR 5000 Cards","26#9005376");
C=B.fN("Application Cards","26#9005382");
C=B.fN("Line Cards (except XGLC)","26#9005400");
C=B.fN("10 Gigabit Ethernet Card (XGL)","26#9005437");
A=P.fN("Chassis Hybrid Mode Operation","27");
B=A.fN("Hybrid Mode","27#9005456");
C=B.fN("Boot Sequence","27#9005463");
C=B.fN("Configuration Sequence","27#9005470");
B=A.fN("Non-Hybrid Mode","27#9005480");
}
